
def find_random_document(collection, query):
    from motor.motor_asyncio import AsyncIOMotorClient
    import random

    client = AsyncIOMotorClient('localhost', 27017)
    db = client['mydatabase']
    collection = db[collection]

    async def get_random_document():
        documents = await collection.find(query).to_list(None)
        if documents:
            return random.choice(documents)
        return None

    return get_random_document()



